Page MenuHomePhabricator

Fix failing unit tests
Closed, ResolvedPublic16 Estimated Story Points

Description

Fix the mess that has become of 428393. This started as a patch to switch QUnit package (which may not be the case any more), but has led to several unit test failures. It's unclear how these are related to the QUnit upgrade, but they need to be solved nonetheless.

Some problems have been fixed, such as tests testing the wrong things (like behaviour of HTMLMediaElement) and things not resetting properly between tests. There are still some issues remaining concerning Ajax requests (possibly with race conditions) and audio playback.

Event Timeline

Sebastian_Berlin-WMSE set the point value for this task to 16.

Change 428393 had a related patch set uploaded (by Sebastian Berlin (WMSE); owner: Jforrester):
[mediawiki/extensions/Wikispeech@master] tests: Fix QUnit failures due to pending ajax requests

https://gerrit.wikimedia.org/r/428393

Change 428393 merged by jenkins-bot:
[mediawiki/extensions/Wikispeech@master] tests: Fix QUnit failures due to pending ajax requests

https://gerrit.wikimedia.org/r/428393

Lokal_Profil assigned this task to Sebastian_Berlin-WMSE.
Lokal_Profil moved this task from This Week to Done on the User-Sebastian_Berlin-WMSE board.
Lokal_Profil removed a project: Patch-For-Review.
Lokal_Profil added a subscriber: Lokal_Profil.

Merged. Great work @Sebastian_Berlin-WMSE

Vvjjkkii renamed this task from Fix failing unit tests to 70caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Sebastian_Berlin-WMSE as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed a subscriber: gerritbot.
CommunityTechBot renamed this task from 70caaaaaaa to Fix failing unit tests.Jul 2 2018, 4:13 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot set the point value for this task to 16.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: gerritbot.

Mentioned in SAL (#wikimedia-cloud) [2018-07-20T10:08:54Z] <sebastian-wmse> Deploy latest (v0.1.0) from Git master: 2a79cdd, 7522a46, c168aa7 (T194620), c201912; update MediaWiki to b8dee03

Change 653742 had a related patch set uploaded (by Legoktm; owner: Jforrester):
[mediawiki/extensions/Wikispeech@REL1_31] tests: Fix QUnit failures due to pending ajax requests

https://gerrit.wikimedia.org/r/653742

Change 653742 merged by Umherirrender:
[mediawiki/extensions/Wikispeech@REL1_31] tests: Fix QUnit failures due to pending ajax requests

https://gerrit.wikimedia.org/r/653742